Bug 734394 - Wrong PID and lockfile names for Proxy and Server
Summary: Wrong PID and lockfile names for Proxy and Server
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: zabbix
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 09:54 UTC by Volker Fröhlich
Modified: 2013-12-31 16:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-31 16:55:31 UTC


Attachments (Terms of Use)

Description Volker Fröhlich 2011-08-30 09:54:15 UTC
The server pid file is named "zabbix". PID files should be called the same as the binary, as far as the FHS says.

Looking at http://fedoraproject.org/wiki/Packaging:SysVInitScript, the lock files should be called the same as the service.

Everything is fine for the agent, but the server and proxy files are named wrong.

Actual names:

- Server PID: zabbix.pid
- Server lock file: zabbix

- Proxy PID: zabbix_proxy.pid

Expected names:

- Server PID: zabbix_server_mydatabasesystem.pid
- Server lock file: zabbix-server

- Proxy PID: zabbix_proxy_mydatabasesystem.pid

Comment 1 Fedora End Of Life 2013-04-03 14:19:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 2 Volker Fröhlich 2013-12-31 16:55:31 UTC
This ticket is a left-over from the Fedora init scripts period. The situation exactly matches what we had in EPEL6 and 5 under the name of zabbix and zabbix20 until recently though.

With the use of the Alternatives system and overhauled init scripts the situation in 1.8.10-1 and 2.0.10-2 builds is now:

Init scripts:

zabbix-agent
zabbix-server
zabbix-proxy

Lock files:

zabbix-agent
zabbix-server
zabbix-proxy

PID files:

zabbix_agentd.pid
zabbix_server.pid
zabbix_proxy.pid

The PID file names now match the process names, the lock file names match the init script names. Thus this issue is settled.


Note You need to log in before you can comment on or make changes to this bug.